package com.example.demo.module.game.data;

import pers.jc.util.JCUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * 对象-用于PK匹配的房间
 */
public class Room {
    public String key = JCUtil.uuid();
    public int gameType;
    public List<MatchPlayerInfo> playerInfoList = new ArrayList<>();
    public boolean canRandomMatch;
    public String inviterViewUUID = ""; //邀请者的匹配界面UUID，用来给前端识别是不是同一个邀请

    public Room(MatchPlayerInfo matchPlayerInfo, int gameType, boolean canRandomMatch, String inviterViewUUID) {
        this.gameType = gameType;
        this.playerInfoList.add(matchPlayerInfo);
        this.canRandomMatch = canRandomMatch;
        this.inviterViewUUID = inviterViewUUID;
    }
}
